Subject: Re: wishlist: git info

From: Andreas Ericsson <[email-masked]>
Date: Tue, 13 Nov 2007 20:49:46 +0100

Thomas Neumann wrote:
>> But "project description"?  Give me a break.  If you have cloned
>> the repository (or learned the existence of repository), you
>> already learned from elsewhere what the project is about.
> well, not that I asked for the project description, but I see a small
> benefit there. The point is not to know what the project is about. You
> know, after all you checked it out in the first place. My goal is to
> quickly/easily see "what is in this directory".
> 
> Perhaps my usage pattern is obscure, but I have something like 40
> repositories checked out in different directories, and I sometimes loose
> track of what actually is in a certain directory (and in what state). A
> simple "ls" is not enough, as some of them look very similar on the top
> level. Hence my interest for "git info".
> 

I had that problem too, until I realized that what I really needed was to
clone repos out with the same careful structure we're using on the server,
and then just use \w instead of \W in my $PS1.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231